Open CASCADE Technology: ShapeUpgrade_ShapeDivideAngle Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
ShapeUpgrade_ShapeDivideAngle Class Reference

Splits all surfaces of revolution, cylindrical, toroidal, conical, spherical surfaces in the given shape so that each resulting segment covers not more than defined number of degrees (to segments less than 90). More...

`#include <ShapeUpgrade_ShapeDivideAngle.hxx>`

Inheritance diagram for ShapeUpgrade_ShapeDivideAngle:
[legend]

## Public Member Functions
| ShapeUpgrade_ShapeDivideAngle (const Standard_Real MaxAngle)
| Empty constructor. More...
| ShapeUpgrade_ShapeDivideAngle (const Standard_Real MaxAngle, const TopoDS_Shape &S)
| Initialize by a Shape. More...
void | InitTool (const Standard_Real MaxAngle)
| Resets tool for splitting face with given angle. More...
void | SetMaxAngle (const Standard_Real MaxAngle)
| Set maximal angle (calls InitTool) More...
Standard_Real | MaxAngle () const
| Returns maximal angle. More...
Public Member Functions inherited from ShapeUpgrade_ShapeDivide
| ShapeUpgrade_ShapeDivide ()
| ShapeUpgrade_ShapeDivide (const TopoDS_Shape &S)
| Initialize by a Shape. More...
void | Init (const TopoDS_Shape &S)
| Initialize by a Shape. More...
virtual void | Delete ()
virtual | ~ShapeUpgrade_ShapeDivide ()
void | SetPrecision (const Standard_Real Prec)
| Defines the spatial precision used for splitting. More...
void | SetMaxTolerance (const Standard_Real maxtol)
| Sets maximal allowed tolerance. More...
void | SetMinTolerance (const Standard_Real mintol)
| Sets minimal allowed tolerance. More...
void | SetSurfaceSegmentMode (const Standard_Boolean Segment)
| Purpose sets mode for trimming (segment) surface by wire UV bounds. More...
virtual Standard_Boolean | Perform (const Standard_Boolean newContext=Standard_True)
| Performs splitting and computes the resulting shape If newContext is True (default), the internal context will be cleared at start, else previous substitutions will be acting. More...
TopoDS_Shape | Result () const
| Gives the resulting Shape, or Null shape if not done. More...
Handle< ShapeBuild_ReShape > | GetContext () const
| Returns context with all the modifications made during last call(s) to Perform() recorded. More...
void | SetContext (const Handle< ShapeBuild_ReShape > &context)
| Sets context with recorded modifications to be applied during next call(s) to Perform(shape,Standard_False) More...
virtual void | SetMsgRegistrator (const Handle< ShapeExtend_BasicMsgRegistrator > &msgreg)
| Sets message registrator. More...
Handle< ShapeExtend_BasicMsgRegistrator > | MsgRegistrator () const
| Returns message registrator. More...
void | SendMsg (const TopoDS_Shape &shape, const Message_Msg &message, const Message_Gravity gravity=Message_Info) const
| Sends a message to be attached to the shape. Calls corresponding message of message registrator. More...
Standard_Boolean | Status (const ShapeExtend_Status status) const
| Queries the status of last call to Perform OK : no splitting was done (or no call to Perform) DONE1: some edges were splitted DONE2: surface was splitted FAIL1: some errors occured. More...
void | SetSplitFaceTool (const Handle< ShapeUpgrade_FaceDivide > &splitFaceTool)
| Sets the tool for splitting faces. More...
void | SetEdgeMode (const Standard_Integer aEdgeMode)
| Sets mode for splitting 3d curves from edges. 0 - only curve 3d from free edges. 1 - only curve 3d from shared edges. 2 - all curve 3d. More...

## Additional Inherited Members
Protected Member Functions inherited from ShapeUpgrade_ShapeDivide
virtual Handle< ShapeUpgrade_FaceDivide > | GetSplitFaceTool () const
| Returns the tool for splitting faces. More...
virtual Message_Msg | GetFaceMsg () const
virtual Message_Msg | GetWireMsg () const
virtual Message_Msg | GetEdgeMsg () const
| Returns a message decsribing modification of a shape. More...
Protected Attributes inherited from ShapeUpgrade_ShapeDivide
Handle< ShapeBuild_ReShape > | myContext
Handle< ShapeExtend_BasicMsgRegistrator > | myMsgReg
TopoDS_Shape | myShape
TopoDS_Shape | myResult
Standard_Real | myPrecision
Standard_Real | myMinTol
Standard_Real | myMaxTol
Standard_Boolean | mySegmentMode
Standard_Integer | myStatus
Standard_Integer | myEdgeMode

## Detailed Description

Splits all surfaces of revolution, cylindrical, toroidal, conical, spherical surfaces in the given shape so that each resulting segment covers not more than defined number of degrees (to segments less than 90).

## Constructor & Destructor Documentation

ShapeUpgrade_ShapeDivideAngle::ShapeUpgrade_ShapeDivideAngle | ( | const Standard_Real | MaxAngle | ) |

Empty constructor.

ShapeUpgrade_ShapeDivideAngle::ShapeUpgrade_ShapeDivideAngle | ( | const Standard_Real | MaxAngle,
|  | const TopoDS_Shape & | S
| ) |  |

Initialize by a Shape.

## Member Function Documentation

void ShapeUpgrade_ShapeDivideAngle::InitTool | ( | const Standard_Real | MaxAngle | ) |

Resets tool for splitting face with given angle.

Standard_Real ShapeUpgrade_ShapeDivideAngle::MaxAngle | ( |  | ) | const

Returns maximal angle.

void ShapeUpgrade_ShapeDivideAngle::SetMaxAngle | ( | const Standard_Real | MaxAngle | ) |

Set maximal angle (calls InitTool)

The documentation for this class was generated from the following file:

- ShapeUpgrade_ShapeDivideAngle.hxx